CREATE SEQUENCE RQTORELATIONSHIPS_ID_SEQ
INCREMENT BY 1
START WITH 1
NOMAXVALUE NOMINVALUE NOCYCLE CACHE 20 NOORDER
/
CREATE OR REPLACE TRIGGER RQTORELATIONSHIPS_INSERT
BEFORE INSERT ON RQTORELATIONSHIPS REFERENCING OLD AS OLD NEW AS NEW
FOR EACH ROW
DECLARE
  SEQ INTEGER;
BEGIN
  SELECT RQTORELATIONSHIPS_ID_SEQ.NEXTVAL INTO SEQ FROM DUAL;
  :NEW.ID := SEQ;
END RQTORELATIONSHIPS_INSERT;
/
CREATE SEQUENCE RQHOLT_SEQ
INCREMENT BY 1
START WITH 1
NOMAXVALUE NOMINVALUE NOCYCLE CACHE 20 NOORDER
/
CREATE OR REPLACE TRIGGER RQHOLT_INSERT
BEFORE INSERT ON RQHIERARCHYORDEREDLEVELSTEMP REFERENCING OLD AS OLD NEW AS NEW
FOR EACH ROW
DECLARE
  SEQ INTEGER;
BEGIN
  SELECT RQHOLT_SEQ.NEXTVAL INTO SEQ FROM DUAL;
  :NEW.DATAORDER := SEQ;
END RQHOLT_INSERT;
/





